"""Simple robot with socket's timeout

This file is a part of Bookmarks database and Internet robot.
"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2000-2012 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['robot_simple_tos']


import socket
socket.setdefaulttimeout(900)

from .bkmk_rsimple import robot_simple, get_error


class robot_simple_tos(robot_simple):
   def check_url(self, bookmark):
      try:
         return robot_simple.check_url(self, bookmark)
      except socket.error, msg:
         bookmark.error = get_error(msg)
         self.log(bookmark.error)

      self.finish_check_url(bookmark)
      return 1
