"""Thin wrapper for module Storage. Provides "default" storage

This file is a part of Bookmarks database and Internet robot.
"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 1997-2012 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['import_storage', 'storage']


from os import environ
storage_name = environ.get("BKMK_STORAGE", "pickle")

def import_storage(storage_name):
   exec "from Storage import bkmk_st%s" % storage_name
   exec "storage = bkmk_st%s.storage_%s" % (storage_name, storage_name)
   return storage

storage = import_storage(storage_name)
